Subject: Re: bug#41436: 26.1; How to list upgradable packages only

From: Marcin Włodarczak <[email-masked]>
Date: Sun, 23 Aug 2020 18:58:25 +0200

Stefan Kangas <[email-masked]> writes:

> Eduardo Mercovich <[email-masked]> writes:
>
>> But, for my life, even after quite some searching and reading I can't
>> find how to filter the list by that status (the command
>> package-menu-filter does something different or I don't understand how
>> to use it for this), so I can see only the packages that can be
>> upgraded.
>
> This feature is already in master and will be part of Emacs 28.1.
> Unfortunately, the patch wasn't merged in time for Emacs 27.

Oh, great. This is precisely what I had in mind but to come back to the
problem at hand the way to show upgradable packages would be to first
mark them (package-menu-mark-upgrades) and then filter marked?

I wonder whether it would not be nice to be able to list all upgradable
packages and then give the user an option of marking them one by one.